@mixin font-size($size-name) {
    @if $size-name == "display" {
        font-size: 36px;
        line-height: 36px * 1.25;
    } @else if $size-name == "heading-1" {
        font-size: 32px;
        line-height: 32px * 1.25;
    } @else if $size-name == "heading-2" {
        font-size: 28px;
        line-height: 28px * 1.25;
    } @else if $size-name == "heading-6" {
        font-size: 18px;
        line-height: 18px * 1.25;
    } @else if $size-name == "body" {
        font-size: 16px;
        line-height: 16px * 1.5;
    } @else if $size-name == "body-small" {
        font-size: 14px;
        line-height: 14px * 1.5;
    } @else if $size-name == "body-extra-small" {
        font-size: 12px;
        line-height: 12px * 1.5;
    } 
}